<?php

namespace Modules\Warehouse\Interfaces;

use Modules\Warehouse\Models\Warehouse;

interface WarehouseRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): Warehouse;
    public function update(array $request, Warehouse $warehouse): Warehouse;
    public function destroy(Warehouse $warehouse): void;
    public function destroyAll(array $ids): void;
    public function restore(Warehouse $warehouse): void;
    public function restoreAll(array $ids): void;
}
